[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[CVE-2016-6130] Double-Fetch Vulnerability in Linux-4.5/drivers/s390/char/sclp_ctl.c



I found this double-fetch vulnerability when I was doing my research on double-fetch issue analysis, and I?d like to make an anouncement here. 

This was found in Linux kernel file Linux-4.5/drivers/s390/char/sclp_ctl.c, and crafted user space data change under race condition will lead to consequences like over-boundary access on the kernel buffer, and information leakage.
================================================================================
1. Affected Versions: Linux Kernel 4.5 and earlier versions.

2. Detailed description: Kernel Bugzilla: https://bugzilla.kernel.org/show_bug.cgi?id=116741

3. Patch: This has been confirmed by the maintainers and  patched in the new version: https://github.com/torvalds/linux/commit/532c34b5fbf1687df63b3fcd5b2846312ac943c6

4. CVE: The Common Vulnerabilities and Exposures (CVE) project has assigned the name CVE-2016-6130 to this issue. 

Kind regards
Pengfei Wang